ArrayIterator::count
ArrayIterator::getArrayCopy
ArrayIterator
PHP Manual

# ArrayIterator::current

(PHP 5 >= 5.0.0)

ArrayIterator::current — Return current array entry

### Description

public mixed ArrayIterator::current ( void )

Get the current array entry.

### Parameters

This function has no parameters.

### Return Values

The current array entry.

### Examples

Example #1 ArrayIterator::current() example

`<?php
$array = array('1' => 'one',
'2' => 'two',
'3' => 'three');
$arrayobject = new ArrayObject($array);
for($iterator = $arrayobject->getIterator();
$iterator->valid();
$iterator->next()) {
echo $iterator->key() . ' => ' . $iterator->current() . "\n";
}
?>`

The above example will output:

    1 => one
    2 => two
    3 => three

ArrayIterator::count
ArrayIterator::getArrayCopy
ArrayIterator
PHP Manual